Bug 1129677 - Review Request: gstreamer1-rtsp-server - gstreamer rtsp server version 1.x [NEEDINFO]
Review Request: gstreamer1-rtsp-server - gstreamer rtsp server version 1.x
Status: CLOSED DUPLICATE of bug 1238755
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
: 1130130 1190397 (view as bug list)
Depends On:
Blocks: 1129638
  Show dependency treegraph
 
Reported: 2014-08-13 09:00 EDT by Stefan Ringel
Modified: 2015-07-02 10:27 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-02 10:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review?
nphilipp: needinfo? (fedora)


Attachments (Terms of Use)

  None (edit)
Description Stefan Ringel 2014-08-13 09:00:37 EDT
Spec URL: ftp://stefanringel.de/pub/gstreamer1-rtsp-server.spec
SRPM URL: ftp://stefanringel.de/pub/gstreamer1-rtsp-server-1.4.0-0.fc22.src.rpm
Description: 

gstreamer rtsp server version 1.x 

Fedora Account System Username: stefanringel
Comment 1 Stefan Ringel 2014-08-13 09:01:41 EDT
it is needed for gnome-dvb-daemon update to version 0.2.90
Comment 2 Stefan Ringel 2014-08-13 09:40:56 EDT
(In reply to Stefan Ringel from comment #0)
> Spec URL: ftp://stefanringel.de/pub/gstreamer1-rtsp-server.spec
> SRPM URL:
> ftp://stefanringel.de/pub/gstreamer1-rtsp-server-1.4.0-0.fc22.src.rpm
> Description: 
> 
> gstreamer rtsp server version 1.x 
> 
> Fedora Account System Username: stefanringel

Spec URL: http://stefanringel.de/pub/gstreamer1-rtsp-server.spec
SRPM URL: http://stefanringel.de/pub/gstreamer1-rtsp-server-1.4.0-0.fc22.src.rpm
Comment 4 Bastien Nocera 2014-08-14 13:41:58 EDT
*** Bug 1130130 has been marked as a duplicate of this bug. ***
Comment 5 Stefan Ringel 2014-08-15 03:07:13 EDT
use the updated spec and srpm from Wim Taymans see #1130130
Comment 6 Stefan Ringel 2014-08-18 09:38:23 EDT
new specs and srpm:

Spec URL: http://stefanringel.de/pub/gstreamer1-rtsp-server.spec
SRPM URL: http://stefanringel.de/pub/gstreamer1-rtsp-server-1.4.0-1.fc22.src.rpm

[sringel@media12 ~]$ rpmlint rpmbuild/SRPMS/gstreamer1-rtsp-server-1.4.0-1.fc22.src.rpm
gstreamer1-rtsp-server.src: W: spelling-error Summary(en_US) GStreamer -> G Streamer, Streamer, Steamer
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

ps: rpmlint: warning is wrong. GStreamer is correct spelling.

rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7404256 o.k.

f22:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7404681 o.k.

f21:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7404974 o.k.
Comment 7 Michael Schwendt 2014-08-18 17:16:02 EDT
> BuildRequires:  gstreamer1-devel gstreamer1-plugins-base-devel


> %package devel
> Summary:        Development files for %{name}
> Requires:       %{name} = %{version}-%{release}

https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package


> Group:          Development/Libraries
> License:        LGPLv2+
> Requires:       pkgconfig

Automatic these days, provided that the package contains a .pc file. Examine the Provides and Requires of your built packages.


> Requires:       gstreamer-devel

Why not "gstreamer1-devel"?


> Requires:       %{name} = %{version}-%{release}

Duplicate, and see above.


> %defattr(-,root,root,-)

https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
Comment 8 Stefan Ringel 2014-08-19 09:38:04 EDT
(In reply to Michael Schwendt from comment #7)

> 
> > Group:          Development/Libraries
> > License:        LGPLv2+
> > Requires:       pkgconfig
> 
> Automatic these days, provided that the package contains a .pc file. Examine
> the Provides and Requires of your built packages.
> 
How, explain?
Comment 10 Michael Schwendt 2014-08-19 14:36:39 EDT
$ rpm -qpR gstreamer1-rtsp-server-devel-1.4.0-2.fc21.x86_64.rpm |grep pkg
/usr/bin/pkg-config
pkgconfig
pkgconfig(gstreamer-1.0)
pkgconfig(gstreamer-1.0)
pkgconfig(gstreamer-base-1.0)
pkgconfig(gstreamer-plugins-base-1.0)

$ rpm -qp --provides gstreamer1-rtsp-server-devel-1.4.0-2.fc21.x86_64.rpm |grep pkg
pkgconfig(gstreamer-rtsp-server-1.0) = 1.4.0

[...]

> Requires:       gstreamer1 >= %{version}
> Requires:       gstreamer1-plugins-base >= %{version}

> Requires:       gstreamer1-devel >= %{version}
> Requires:       gstreamer1-plugins-base-devel >= %{version}

Here you should also add %{?_isa} to make these dependencies arch-specific:
https://fedoraproject.org/wiki/Packaging:Guidelines#Requires_2
Comment 12 Stefan Ringel 2014-12-03 06:46:33 EST
ping ...
Comment 13 Wim Taymans 2015-02-09 04:02:57 EST
*** Bug 1190397 has been marked as a duplicate of this bug. ***
Comment 14 Debarshi Ray 2015-02-10 12:21:19 EST
Are we only blocking on a sponsor for Stefan?
Comment 15 Stefan Ringel 2015-02-10 13:54:17 EST
yes, I think.
Comment 16 Björn "besser82" Esser 2015-02-27 05:31:27 EST
Taking over here…
Comment 17 Björn "besser82" Esser 2015-02-27 05:39:39 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======

- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

  ---> Either use one or the other.  I personally prefer the use of
       "%{buildroot}", because macros are expanded at parsing of
       spec-file vs. shell-variables are expandend at run-time of
       the script.

- Package must own all directories that it creates.
  Note: Directories without known owners: /usr/lib64/girepository-1.0,
  /usr/share/gir-1.0
  See: http://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

  ---> according to guidelines and the fact many packages owning
       these directories, I'd add ownership for them to this package, too.

       Add this to the %files-section:
       main-pkg:   %dir %{_libdir}/girepository-%{majorminor}/
       devel-pkg:  %dir %{_datadir}/gir-%{majorminor}/

- Requires correct, justified where necessary.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

  Requires:       pkgconfig
  Requires:       pkgconfig(gstreamer-1.0)
  Requires:       pkgconfig(gstreamer-plugins-base-1.0)

  ---> Those are obsolete and unneccassarily doubled Requires.  Please
       refer to the explanation Michael provided.

Requires:       gstreamer1-devel%{?_isa} >= %{version}
Requires:       gstreamer1-plugins-base-devel%{?_isa} >= %{version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

  ---> Those Requires are the ones, which are really needed.

- %check is present and all tests pass.
  See: http://fedoraproject.org/wiki/Packaging:Guidelines#Test_Suites

  ---> The package provides the possibility to run a test-suite by
       invoking `make test`, so you should run the test within
       %check-section.


Remarks about "good practice":
==============================

- Use of `make install DESTDIR=$RPM_BUILD_ROOT`

  ---> There is "%make_install"-macro doing pretty the same and may
       be more fail-safe, if things however are changing between
       diffent releases.

- Running autoreconf.

  ---> Simpy using `autoreconf -f` is a bit too less.  If there is
       a real need for running this, using `autoreconf -fiv` is
       quite more common.

- No auto-documentation is generated during build.

  ---> It is good practice to build the automagically generated
       documentation from the sources and have it packaged into
       a seperate -doc sub-package.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or generated". 6
     files have unknown license. Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/1129677-gstreamer1-rtsp-
     server/licensecheck.txt

     ---> there are some files in the tarball which are GPLv2+, but those
          aren't packaged, so license-tag is fine.


[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/girepository-1.0,
     /usr/share/gir-1.0
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[!]: Package complies to the Packaging Guidelines

     ---> issues are present.

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local


===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

     ---> See: http://koji.fedoraproject.org/koji/taskinfo?taskID=9090080


[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.


===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gstreamer1-rtsp-server-1.4.0-2.fc23.x86_64.rpm
          gstreamer1-rtsp-server-devel-1.4.0-2.fc23.x86_64.rpm
          gstreamer1-rtsp-server-1.4.0-2.fc23.src.rpm
gstreamer1-rtsp-server.x86_64: W: spelling-error Summary(en_US) GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-rtsp-server-devel.x86_64: W: only-non-binary-in-usr-lib
gstreamer1-rtsp-server-devel.x86_64: W: no-documentation
gstreamer1-rtsp-server.src: W: spelling-error Summary(en_US) GStreamer -> G Streamer, Streamer, Steamer
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
gstreamer1-rtsp-server-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    gstreamer1-devel(x86-64)
    gstreamer1-plugins-base-devel(x86-64)
    gstreamer1-rtsp-server(x86-64)
    pkgconfig
    pkgconfig(gstreamer-1.0)
    pkgconfig(gstreamer-base-1.0)
    pkgconfig(gstreamer-plugins-base-1.0)

gstreamer1-rtsp-server (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    gstreamer1(x86-64)
    gstreamer1-plugins-base(x86-64)
    libc.so.6()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgstapp-1.0.so.0()(64bit)
    libgstbase-1.0.so.0()(64bit)
    libgstnet-1.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgstrtp-1.0.so.0()(64bit)
    libgstrtsp-1.0.so.0()(64bit)
    libgstsdp-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
gstreamer1-rtsp-server-devel:
    gstreamer1-rtsp-server-devel
    gstreamer1-rtsp-server-devel(x86-64)
    pkgconfig(gstreamer-rtsp-server-1.0)

gstreamer1-rtsp-server:
    gstreamer1-rtsp-server
    gstreamer1-rtsp-server(x86-64)
    libgstrtspserver-1.0.so.0()(64bit)



Source checksums
----------------
http://gstreamer.freedesktop.org/src/gst-rtsp/gst-rtsp-server-1.4.0.tar.xz :
  CHECKSUM(SHA256) this package     : 800a93ee6de8ca3946fbb2fa3878e41af44e27dde76c9399e30b93ba3e0bffe8
  CHECKSUM(SHA256) upstream package : 800a93ee6de8ca3946fbb2fa3878e41af44e27dde76c9399e30b93ba3e0bffe8


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1129677
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


===== Solution =====

NOT approved.  Please fix those issues and I'll have another look.  As soon as this package is in good shape, I will sponsor you to packager-group.
Comment 20 Nils Philippsen 2015-05-11 11:39:20 EDT
Is there anything I can help with? This blocks gnome-dvb-daemon-0.2.90 from Fedora 22, which makes the current Fedora 21 package (0.2.10-5.fc21) have a "newer" version/release than the one available in Fedora 22 (0.2.10-4.fc22).
Comment 21 Wim Taymans 2015-07-02 10:27:34 EDT
Marking as duplicate because of updated spec file.

*** This bug has been marked as a duplicate of bug 1238755 ***

Note You need to log in before you can comment on or make changes to this bug.